Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Message_Queue_Reverse_Iterator Class Template Reference

Reverse Iterator for the . More...

`#include <Message_Queue_T.h>`

Collaboration diagram for ACE_Message_Queue_Reverse_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Message_Queue_Reverse_Iterator (ACE_Message_Queue <ACE_SYNCH_USE> &queue)
int | next (ACE_Message_Block *&entry)
| Pass back the <entry> that hasn't been seen in the queue. Returns 0 when all items have been seen, else 1.
int | done (void) const
| Returns 1 when all items have been seen, else 0.
int | advance (void)
| Move forward by one element in the queue. Returns 0 when all the items in the set have been seen, else 1.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_Message_Queue<ACE_SYNCH_USE>& | queue_
| Message_Queue we are iterating over.
ACE_Message_Block* | curr_
| Keeps track of how far we've advanced...

## Detailed Description

### template<ACE_SYNCH_DECL> template class ACE_Message_Queue_Reverse_Iterator

Reverse Iterator for the .

## Constructor & Destructor Documentation

template<ACE_SYNCH_DECL>
ACE_Message_Queue_Reverse_Iterator<>::ACE_Message_Queue_Reverse_Iterator<> ( | ACE_Message_Queue< ACE_SYNCH_USE >& queue )

## Member Function Documentation

template<ACE_SYNCH_DECL>
int ACE_Message_Queue_Reverse_Iterator<>::advance ( | void )

| Move forward by one element in the queue. Returns 0 when all the items in the set have been seen, else 1.

template<ACE_SYNCH_DECL>
int ACE_Message_Queue_Reverse_Iterator<>::done ( | void ) const

| Returns 1 when all items have been seen, else 0.

template<ACE_SYNCH_DECL>
void ACE_Message_Queue_Reverse_Iterator<>::dump ( | void ) const

| Dump the state of an object.

template<ACE_SYNCH_DECL>
int ACE_Message_Queue_Reverse_Iterator<>::next ( | ACE_Message_Block *& entry )

| Pass back the <entry> that hasn't been seen in the queue. Returns 0 when all items have been seen, else 1.

## Member Data Documentation

template<ACE_SYNCH_DECL>
ACE_Message_Queue_Reverse_Iterator<>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<ACE_SYNCH_DECL>
ACE_Message_Block * ACE_Message_Queue_Reverse_Iterator<>::curr_`[private]`

| Keeps track of how far we've advanced...

template<ACE_SYNCH_DECL>
ACE_Message_Queue< ACE_SYNCH_USE >& ACE_Message_Queue_Reverse_Iterator<>::queue_`[private]`

| Message_Queue we are iterating over.

The documentation for this class was generated from the following files:

- Message_Queue_T.h
- Message_Queue_T.cpp